Create a security project
- Base URL
-
https://api.elastic-cloud.com
- POST /api/v1/serverless/projects/security
The response will include the created project details, such as the project ID, the credentials to access the project, and the endpoints to access different apps such as Elasticsearch and Kibana. The credentials can be regenerated at any time using the _reset-credentials endpoint.
Request body
Configuration of the security project to create.
-
aliasstring · min length: 1 · max length: 50 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$ -
A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.
-
product_typesobject · min items: 1 · max items: 3 · default: [ { "product_line": "security", "product_tier": "complete" }, { "product_line": "cloud", "product_tier": "complete" }, { "product_line": "endpoint", "product_tier": "complete" } ] -
search_lakeobject -
Configuration for the entire set of capabilities that make the data searchable in Security.
-
metadataobject -
Metadata request for a project with tags.
-
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
Responses
The created security project.
-
aliasstring · min length: 8 · max length: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$required -
A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
-
metadataobjectrequired -
Additional details about the project.
-
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
-
cloud_idstringrequired -
The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
-
private_endpointsobject -
Private endpoints (URLs) for Security projects when PrivateLink is enabled.
-
search_lakeobject -
Configuration for the entire set of capabilities that make the data searchable in Security.
Bad request